## org.eclipse.amp.amf.abase
Class InterpreterPool

    java.lang.Object
      org.eclipse.amp.amf.abase.InterpreterProvider
          org.eclipse.amp.amf.abase.InterpreterPool

All Implemented Interfaces:
  IInterpreterProvider

    public class InterpreterPool

extends InterpreterProvider

Author:
  mparker

Constructor Summary
`InterpreterPool(IInterpreterFactory factory, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`java.lang.Object` `getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)`
`java.util.Map<org.eclipse.emf.ecore.resource.Resource,java.lang.Object>` `getInterpreterCache()`

Methods inherited from class org.eclipse.amp.amf.abase.InterpreterProvider
`getFactory, getInterpreter, getInterpreter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterpreterPool

    public InterpreterPool(IInterpreterFactory factory,
                           org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

Method Detail

### getInterpreter

    public java.lang.Object getInterpreter(org.eclipse.emf.ecore.resource.Resource resource)

  Specified by:
    `getInterpreter` in interface `IInterpreterProvider`
  Overrides:
    `getInterpreter` in class `InterpreterProvider`

### getInterpreterCache

    public java.util.Map<org.eclipse.emf.ecore.resource.Resource,java.lang.Object> getInterpreterCache()

  Returns:
    the interpreterCache